5.2.0-git
04/16/2014

[#1411] Integrate with Turba Address Book
Summary Integrate with Turba Address Book
Queue Ingo
Queue Version HEAD
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester chris (at) huyler (dot) net
Created 02/18/2005 (3344 days ago)
Due
Updated 07/25/2005 (3187 days ago)
Assigned
Resolved
Milestone
Patch No

History
07/25/2005 03:20:41 AM risko (at) risko (dot) hu Comment #3 Reply to this comment
This would only make sense for the IMAP driver because all other
script backends don't create their filter rules at runtime. And it
might be a huge performance hit, but the idea is neat.
Or probably turba should be hooked to call ingo if something changes 
in the database.



Okay, performace loss, but come on, how many times a user modify 
his/her address book?



Gergely


03/06/2005 05:12:47 PM Jan Schneider Comment #2
State ⇒ Accepted
Reply to this comment
This would only make sense for the IMAP driver because all other 
script backends don't create their filter rules at runtime. And it 
might be a huge performance hit, but the idea is neat.
02/18/2005 02:45:15 PM chris (at) huyler (dot) net Comment #1
State ⇒ New
Queue ⇒ Ingo
Summary ⇒ Integrate with Turba Address Book
Type ⇒ Enhancement
Priority ⇒ 1. Low
Reply to this comment
Most importantly, there should be an option to Whitelist all addresses 
in a specific address book.



Users may also like to filter email based on information in their 
address book.  For example:

For all entries in 'Address Book' where 'Email Field' = 'From Header', 
if 'Company Field' = 'Search String' then move to 'Business Mail' 
Folder.



I know this looks easier than it is so I'd be happy with just 
whitelisting an address book for now.